<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div
    data-backdrop="static"
    data-keyboard="false"
    class="modal s--modal s--modal--400 s--modal-right animated fadeInRight"
    id="ViewDealPayment"
  >
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h3 class="modal-title">
            <i class="icon-credit-card"></i>Chi tiết thanh toán
          </h3>
          <button
            @click="cancelViewPayment()"
            type="button"
            class="close"
            data-dismiss="modal"
            aria-label="Close"
          >
            <span aria-hidden="true">
              <i class="la la-times"></i>
            </span>
          </button>
        </div>
        <div class="modal-body" data-scrollable="true" data-scrollbar-shown="true">
          <form class="m-form m-form--state">
            <div class="row">
              <div class="col-md-12">
                <div class="form-group m-form__group">
                  <label class="form-control-label nt-label">Mã thanh toán</label>
                  <div>{{ detailPayment.code }}</div>
                </div>
                <div class="form-group m-form__group">
                  <label class="form-control-label nt-label">Ngày thanh toán</label>
                  <div>{{ detailPayment.date }}</div>
                </div>
                <div class="form-group m-form__group">
                  <label class="form-control-label nt-label">Số tiền thanh toán</label>
                  <div>{{ helpers.formatPrice(detailPayment.price) }}</div>
                </div>
                <!--<div class="form-group m-form__group" >-->
                <!--<label class="form-control-label s&#45;&#45;label">Người thanh toán</label>-->
                <!--<p>{{ detailPayment.payer ? detailPayment.payer : '-' }}</p>-->
                <!--</div>-->
                <!--<div class="form-group m-form__group" >-->
                <!--<label class="form-control-label s&#45;&#45;label">Người nhận tiền</label>-->
                <!--<p>{{ detailPayment.receiver ? detailPayment.receiver : '-' }}</p>-->
                <!--</div>-->
                <div class="form-group m-form__group">
                  <label class="form-control-label nt-label">Phương thức thanh toán</label>
                  <div v-if="detailPayment.payment_method">{{ detailPayment.payment_method }}</div>
                  <div v-else class="not-value">Chưa cập nhật</div>
                </div>
                <div class="form-group m-form__group">
                  <label class="form-control-label nt-label">Mã chứng từ</label>
                  <div v-if="detailPayment.voucher">{{ detailPayment.voucher }}</div>
                  <div v-else class="not-value">Chưa cập nhật</div>
                </div>
                <div class="form-group m-form__group">
                  <label class="form-control-label nt-label">Ghi chú</label>
                  <div
                    v-if="detailPayment.note"
                    style="white-space: pre-line; word-break: break-word;"
                    v-html="detailPayment.note"
                  ></div>
                  <div v-else class="not-value">Chưa cập nhật</div>
                </div>
                <div class="form-group m-form__group">
                  <label class="form-control-label nt-label">Ngày tạo</label>
                  <div>{{ helpers.formatDateTimeForClient(detailPayment.created_at) }}</div>
                </div>
                <div class="form-group m-form__group">
                  <label class="form-control-label nt-label">Người tạo</label>
                  <div>{{ detailPayment.user_name }}</div>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</template>
